Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.javadoc
[Java] Class Groovydoc.Link

    java.lang.Object
      org.gradle.api.tasks.javadoc.Groovydoc.Link

All Implemented Interfaces:
  Serializable

    public static class Groovydoc.Link

A Link class represent a link between groovydoc/javadoc output and url.

Constructor Summary
`Groovydoc.Link(String url, String... packages)` Constructs a `Link`.

Method Summary
`boolean` | `equals(Object o)`
`List` | `getPackages()` Returns a list of package prefixes to be linked with an external site.
`String` | `getUrl()` Returns the base url for the external site.
`int` | `hashCode()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Groovydoc.Link

    public Groovydoc.Link(String url, String... packages)

  Constructs a `Link`.
  Parameters:
    `url` - Base URL of external site
    `packages` - list of package prefixes

Method Detail

### equals

    @Override
    public boolean equals(Object o)

### getPackages

    public List getPackages()

  Returns a list of package prefixes to be linked with an external site.

### getUrl

    public String getUrl()

  Returns the base url for the external site.

### hashCode

    @Override
    public int hashCode()

Gradle API 1.1-rc-1